import { useMemo } from 'react';
import { useTheme } from '../../../theme/hooks/useTheme';
export const useTypographyColor = ({ color, colorIntensity = '800', }) => {
    const theme = useTheme();
    return useMemo(() => {
        if (color) {
            switch (color) {
                case 'text':
                    return theme.palette.text.primary;
                case 'textSecondary':
                    return theme.palette.text.secondary;
                case 'secondary':
                    return theme.palette.secondary[800];
                default:
                    return theme.palette[color]?.[colorIntensity] || color;
            }
        }
        return undefined;
    }, [color, colorIntensity, theme]);
};
